#include <math.h>
#include "distances.h"
//#include <assert.h>
//#include <stdlib.h>
//#include "td.h"
//#include "ortho.h"

double EuclideanDist(double* points,long i,long j,long dim)
{
  double norm,diff;
  long k,index1=i*dim, index2=j*dim;
  norm=0;
  for(k=0; k<dim; k++)
  {
    diff = points[index1]-points[index2];
    norm += diff*diff;
    ++index1; ++index2;
  }
  return sqrt(norm);
} 

double MaxDist(double * points,long i,long j,long dim)
{
  double norm = 0,diff;
  long index1=i*dim, index2=j*dim,k;
  for(k=0; k<dim; k++)
  {
    diff = fabs(points[index1]-points[index2]);
    if(diff>norm)
     norm=diff;
    ++index1; ++index2;
  }
  return norm;
}

double L1(double * points,long i,long j,long dim)
{
  double norm = 0;
  long index1=i*dim, index2=j*dim,k;
  for(k=0; k<dim; k++)
  {
    norm += fabs(points[index1]-points[index2]);
    ++index1; ++index2;
  }
  return norm;
}


